Bug 201422 - 05-udev-early.rules needs rule
05-udev-early.rules needs rule
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-08-04 22:29 EDT by David Zeuthen
Modified: 2013-03-05 22:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 10:41:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Zeuthen 2006-08-04 22:29:57 EDT
05-udev-early.rules needs

 ACTION=="add", SUBSYSTEM=="scsi", WAIT_FOR_SYSFS="ioerr_cnt"                    

otherwise events are sent to HAL too quickly and HAL will fail trying to read
missing files and users won't get automounted their USB storage devices.

This was in here earlier, not sure why it was removed?

udev-095-3
Comment 1 Harald Hoyer 2006-08-07 05:56:39 EDT
could this rule be made more specific? I am not sure if every 'ACTION=="add",
SUBSYSTEM=="scsi"' results in a "ioerr_cnt" sysfs file.
Comment 2 David Zeuthen 2006-08-07 10:40:02 EDT
Indeed ioerr_cnt will always be added and we specifically want to wait for that
file as it's the last one added, see

http://kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=blob;h=e7fe565b96de93ffb5354d4c86d36dfd46410806;hb=9f737633e6ee54fc174282d49b2559bd2208391d;f=drivers/scsi/scsi_sysfs.c

All the other distros are also using that rule - just checked with Kay Sievers
on IRC channel #hal on freenode. Thanks.

Note You need to log in before you can comment on or make changes to this bug.